org.apache.fop.layoutmgr

## Class LayoutManagerMapping.MultiCaseLayoutManagerMaker

- java.lang.Object
- - org.apache.fop.layoutmgr.LayoutManagerMapping.Maker
  - - org.apache.fop.layoutmgr.LayoutManagerMapping.MultiCaseLayoutManagerMaker

- Enclosing class:
    LayoutManagerMapping

      public class LayoutManagerMapping.MultiCaseLayoutManagerMaker
      extends LayoutManagerMapping.Maker

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiCaseLayoutManagerMaker()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `make(FONode node, java.util.List lms)` Create a layout manager.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiCaseLayoutManagerMaker

          public MultiCaseLayoutManagerMaker()

  - ### Method Detail

    - #### make

          public void make(FONode node,
                           java.util.List lms)

      Description copied from class: `LayoutManagerMapping.Maker`
      Create a layout manager.
      Overrides:
        `make` in class `LayoutManagerMapping.Maker`
      Parameters:
        `node` - the associated FO node
        `lms` - a list of layout managers to which new manager is to be added

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.